package dev.shadowsoffire.apotheosis.mixin;

import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;
import net.minecraft.nbt.ListTag;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import net.minecraft.network.chat.Component;
import java.util.List;
import net.minecraft.world.item.ItemStack;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Pseudo;

@Pseudo
@Mixin(targets = { "org.violetmoon.quark.content.tweaks.module.GoldToolsHaveFortuneModule" }, remap = false)
public class GoldToolsHaveFortuneModuleMixin
{
    @Inject(method = { "fakeEnchantmentTooltip" }, at = { @At("HEAD") }, cancellable = true)
    private static void apoth_blockQuarkEnchTooltip1(final ItemStack stack, final List<Component> components, final CallbackInfo ci) {
        ci.cancel();
    }
    
    @Inject(method = { "hideSmallerEnchantments" }, at = { @At("HEAD") }, cancellable = true)
    private static void apoth_blockQuarkEnchTooltip2(final ItemStack stack, final ListTag tag, final CallbackInfoReturnable<ListTag> cir) {
        cir.setReturnValue((Object)tag);
    }
}
